Subject: RE: Comments on LCUP draft - opaque cookie

From: "James Benedict" <[email-masked]>
Date: Thu, 17 May 2001 09:44:59 -0400

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Wednesday, May 16, 2001 12:55 PM
> To: [email-masked]; [email-masked]; [email-masked]
> Subject: Comments on LCUP draft - opaque cookie
> 
> 
> This comment refers to <draft-ietf-ldup-lcup-00.txt>.
> 
> The controls defined in the LCUP draft use an opaque cookie 
> supplied by
> the server.  I'm concerned about the consequences of leaving 
> the cookie
> opaque.  It seems to me that interoperability with multiple servers
> will be limited.
> 
> Section 4.6 of the draft includes the note:
> 
>   (Note that the client can synchronize with different servers during
>   different synchronization sessions.)
> 
> If the cookie is opaque, this will only work if the different servers
> are all running the same server implementation.  Different vendors'
> implementations of LCUP will inevitably use different cookie formats
> because there is no standard format.
> 
> Section 7 notes:
> 
>   By design, the protocol does not specify the format of the cookie.
>   This is to allow different implementations the flexibility 
> of storing
>   any information applicable to their environment.
> 

Haven't we been down this path before (with ACI)?  I agree that the standard
should not force a particular means of storing data, HOWEVER
interoperability from a client perspective requires that information be
common "on-the-wire".

Or is the intention that LCUP clients maintain one cookie per server  (or
vendor type, or whatever...)?  If this is the plan, then we still need to
put some more smarts on the cookie so that the client can determine which
cookie to send to which server.

> But that flexibility will limit interoperability.  Since multi-vendor
> replicated directory environments are a goal of LDUP, shouldn't the
> content of the cookie be specified in the standard?
> 
> Rick Huber
> 
>

---

From: [email-masked] (Mark C Smith)
Date: Thu, 17 May 2001 10:38:33 -0700

This is a good issue to discuss.  I believe the intent is for an LCUP
client to store one (or more) cookie(s) per server.  But if a replicated
set of directory servers are deployed and clients choose "one of many"
to use for their LCUP sessions (for redundancy or load balancing
reasons), it would be nice if the cookie format were consistent.  On the
other hand, specifying the format of the cookie will really tie the
hands of server implementors.  We need to clarify this in the LCUP
specification, one way or another.

-Mark

James Benedict wrote:
> Haven't we been down this path before (with ACI)?  I agree that the
> standard should not force a particular means of storing data, HOWEVER
> interoperability from a client perspective requires that information
> be common "on-the-wire".
> 
> Or is the intention that LCUP clients maintain one cookie per server
> (or vendor type, or whatever...)?  If this is the plan, then we still
> need to put some more smarts on the cookie so that the client can
> determine which cookie to send to which server.
>